#!/usr/bin/make -f
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

PKG = python-toscawidgets
UPSTREAMS = \
	toscawidgets \
	tw.forms \
	$(NULL)
export SUBDIRS = $(UPSTREAMS)

DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

makebuilddir/$(PKG)::
	find . -name '*.pyc' -exec rm {} \;

# avoid installing useless *.pth files ; fix spurious +x bits
install/$(PKG)::
	rm -f debian/$(PKG)/usr/lib/python*/site-packages/*.pth
	-find debian/$(PKG)/usr/lib/ \
		-name \*.css -exec chmod -x {} \;

-include debian/get-orig-source.mk
